jvx.thirdParty.acmeGui

## Class GuiUtils

- java.lang.Object
- - jvx.thirdParty.acmeGui.GuiUtils

-     public final class GuiUtils
      extends java.lang.Object

  Some static GUI utilities.

  Copyright (C)1996,1998 by Jef Poskanzer (jef@acme.com). All rights reserved.

  Visit the ACME Labs Java page for up-to-date versions of this and other fine Java utilities: http://www.acme.com/java/

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Image` | `brokenIcon(java.awt.Component comp)`
    `static java.awt.Image` | `busyIcon(java.awt.Component comp)`
    `static void` | `drawImage(java.awt.Graphics graphics, java.awt.Component comp, java.awt.Image image)` Draw a centered image.
    `static java.awt.Image` | `errorIcon(java.awt.Component comp)`
    `static java.awt.Component` | `getTopParent(java.awt.Component comp)` Returns the top available parent of a component.
    `static java.awt.Image` | `noticeIcon(java.awt.Component comp)`
    `static void` | `packWindow(java.awt.Component comp)` Calls pack() on the nearest parent that's a Window.
    `static java.awt.Image` | `qmarkIcon(java.awt.Component comp)`
    `static java.awt.Image` | `warningIcon(java.awt.Component comp)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiUtils

          public GuiUtils()

  - ### Method Detail

    - #### getTopParent

          public static java.awt.Component getTopParent(java.awt.Component comp)

      Returns the top available parent of a component.

    - #### packWindow

          public static void packWindow(java.awt.Component comp)

      Calls pack() on the nearest parent that's a Window.

    - #### noticeIcon

          public static java.awt.Image noticeIcon(java.awt.Component comp)

    - #### warningIcon

          public static java.awt.Image warningIcon(java.awt.Component comp)

    - #### errorIcon

          public static java.awt.Image errorIcon(java.awt.Component comp)

    - #### busyIcon

          public static java.awt.Image busyIcon(java.awt.Component comp)

    - #### qmarkIcon

          public static java.awt.Image qmarkIcon(java.awt.Component comp)

    - #### brokenIcon

          public static java.awt.Image brokenIcon(java.awt.Component comp)

    - #### drawImage

          public static void drawImage(java.awt.Graphics graphics,
                                       java.awt.Component comp,
                                       java.awt.Image image)

      Draw a centered image.

"

The software JavaView? is copyright protected. All Rights Reserved.
"